<template>
  <table>
    <thead>
    <tr>
      <th>Vorname</th>
      <th>Nachname</th>
      <th>Alter</th>
      <th>Aktionen</th>
    </tr>
    </thead>
    <tbody>
    <person-table-entry
        v-for="(currentPerson, index) in persons"
        v-bind:person="currentPerson"
        v-bind:highlight="true"
        @change-birth-year="birthYear => changeBirthYearOfPerson(birthYear, index)"
    />
    <!--<PersonTableEntry v-for="person in persons" v-bind:person="person"/>-->
    </tbody>
  </table>
</template>

<script setup>
import PersonTableEntry from "@/components/PersonTableEntry.vue";

defineProps({
  persons: {
    type: Array,
    required: true
  }
})

const emit = defineEmits(['changeBirthYearOfPerson'])

function changeBirthYearOfPerson(newBirthYear, index) {
  emit('changeBirthYearOfPerson', newBirthYear, index)
}
</script>
